/**
 * -A, U- Артем Андреевич Балобанов,
 ** http://workshop.brolib.com/masters/id-1.html,
 ** http://www.ains.pro (http://blog.brolib.com/master/id-1.html);
 *
 * -Date, Time- 2016.01.22 10:00;
 * -D- Стили для визуализатора элементов select @BroVisualSelect;
*/
@charset "UTF-8";
.brovisualselect {
	background-color: #FFF;
	border: solid 1px #D2D2D2;
	border-radius: 3px;
	font-family: 'Roboto', sans-serif;
	font-size: 0px;
	position: relative;
	padding-left:28px;
}
.status .brovisualselect {
	padding-left:0px;
}
.infocus .brovisualselect,
.infocus.brovisualselect,
.infocus-force.brovisualselect{
	border: solid 1px #ff9000;
}
.brovisualselect .the-link-visual{
	/**border-bottom: dotted 1px #007ed6;*/
	color: #666666;
	padding-bottom: 2px;
	text-decoration: none;
}
.brovisualselect .the-link-visual.active-input{
	color: #005093;
	border: none;
}
.brovisualselect .the-link-visual:hover{
	border-bottom: none;
	cursor: pointer;
}
.brovisualselect .real-hidden{
	display: none;
}
.brovisualselect.active{
	border: solid 1px #ff9000;
}
.brovisualselect .clear{
	clear: both;
}
.brovisualselect .area-set-active-first-element {
	width: 28px;
	position:absolute;
	left:0px;
	right:0px;
	width:50%;
	z-index:200;
}
.brovisualselect .area-open-select {
	cursor: pointer;
	position: relative;
	width: 100%;
	z-index:195;
	padding-right:29px !important;
}
.brovisualselect .area-set-active-first-element,
.brovisualselect .area-open-select{ 
	float: left;
}
.brovisualselect .area-open-select {
	box-sizing				: border-box;
	padding					: 6px;
	padding-left			: 8px;
	user-select				: none;
	-khtml-user-select		: none;
	-moz-user-select		: none;
	-ms-user-select			: none;
	-webkit-touch-callout	: none;
	-webkit-user-select		: none;
}
.brovisualselect .area-open-select .active-value {
	position: relative;
}
.brovisualselect .area-open-select .active-value .bg-x-line{
	background-image: url('/images/brovisual-select/bg-x-line-input.png');
	background-repeat:repeat-y;
	height: 100%;
	position: absolute;
	right: 0px;
	top: 0px;
	width: 12px;
	z-index:2;
}
.brovisualselect .area-open-select .active-value .the-text-controll {
	display: block;
	height: 100%;
	overflow: hidden;
	text-overflow: ellipsis;
	width:100%;
}
.brovisualselect .area-open-select .active-value .the-text-value{
	white-space: pre;
}
/**
 -D- Активный элемент;
.brovisualselect .area-open-select.active .active-value span {
	border-bottom: 1px dashed #007ed6;
	color: #007ed6;
}
*/
.brovisualselect .area-open-select .active-value {
	box-sizing:border-box;
	cursor: pointer;
	font-size: 13px;
	max-height: 26px;
	overflow: hidden;
	/** padding-left: 7px; */
	/** padding-right: 20px;*/
	text-align: left;
	width: 100%;
}
.brovisualselect .area-set-active-first-element {
	text-align: center;
}
.brovisualselect .area-set-active-first-element label {
	box-sizing: border-box;
	cursor: pointer;
	display: block;
	height: 100%;
	padding: 9px 0px;
	text-align: center;
	width:100%;
}
.brovisualselect .area-set-active-first-element label .brovisual-checkbox{
	margin-left: 8px;
}
.brovisualselect.hidden,
.brovisualselect .real-select{
	height: 1px;
	overflow: hidden;
	left: -1px;
	position: absolute;
	top: -1px;
	visibility: hidden;
	width: 1px;
	z-index: -1;
}
.brovisualselect .status-icon {
	background-image: url('/images/brovisual-select/brovisual-select-sprite(open-close-with-black).png');
	background-size: cover;
    background-repeat: no-repeat;
    display: block;
	height: 8px;
	position: absolute;
	right: 12px;
	top: 47%;
	width: 12px;
	z-index:10;
}
.brovisualselect .status-icon.close {
	background-position: 0 4px;
	top: 40%;
}
.brovisualselect .status-icon.open {
	background-position: 0 -8px;
}
.brovisualselect .options {
	background-color: #FFF;
	border		 : solid 1px #D2D2D2;
	border-radius: 3px;
	box-shadow : 3px 3px 3px rgba(0,0,0,0.12);
	padding		 : 16px;
	position	 : absolute;
	width		 : 102%;
	z-index		 : 664;
}
.infocus .brovisualselect .options,
.infocus.brovisualselect .options,
.infocus-force.brovisualselect {
	border: solid 1px #ff9000;
}
.brovisualselect .options.left {
	right:-1px;
}
.brovisualselect .options.right{
	left: -1px;
}
.brovisualselect .options.the-hidden-el{
	height: 1px !important;
	left:-1px;
	overflow: hidden;
	position: absolute;
	top: -1px;
	visibility: hidden;
	width: 1px !important;
	z-index: -1;
}
.brovisualselect .the-bg-line{
	background-color: #FFF;
	bottom: 0px;
	display: none;
	height: 4px;
	left: 0px;
	position: absolute;
	width: 100%;
	z-index: 5;
}
.brovisualselect .the-bg-line.visible {
	display: block;
	z-index:665;
}
.brovisualselect .options.twoo-columns {
	box-sizing: border-box;
	max-width: 860px;
    min-width: 320px;
}
.brovisualselect .options.twoo-columns .column{
	float: left;
	width: 50%;
}
.brovisualselect .options .column .option {
	/** border-bottom: 1px solid #cccccc; */
	box-sizing: border-box;
	font-size: 14px;
	padding: 5px 4px;
	width: 100%;
}
.brovisualselect .options .column .option.last {
	border-bottom: none;
}
.brovisualselect .options .column .option .check-val,
.brovisualselect .options .column .option .opt-val{
	float: left;
}
.brovisualselect .options .column .option .opt-val {
	width: 60%;
}
.brovisualselect .options .column .option .check-val{
	width: 28px;
}
@media screen and (max-width: 860px){
	.brovisualselect .options.twoo-columns{
		min-width: 90%;
		max-width: 860px;
		width: auto;
	}
}
/**
 * -D- Резиновая верстка ;
*/
@media screen and (max-width: 460px){
}